package com.railway.business.catenary.mapper;

import com.github.pagehelper.Page;
import com.railway.business.catenary.domain.BusJcbFdfxjyq;
import com.railway.business.catenary.domain.vo.JcebCountVo;
import com.railway.business.catenary.domain.vo.JcebQueryVo;
import com.railway.business.catenary.domain.vo.JcebRecordVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
* dxf分选绝缘器检查表 
* @author wuhonghao
* @date 2021/10/14
*/
@Mapper
@Repository
public interface BusJcbFdfxjyqMapper {

    /**
    * 新增
    */
    int insert(BusJcbFdfxjyq busJcbFdfxjyq);

    /**
    * 删除
    */
    int delete(@Param("id") String id);

    /**
    * 更新
    */
    int update(BusJcbFdfxjyq busJcbFdfxjyq);

    /**
    * 获取单个
    */
    BusJcbFdfxjyq getInfo(@Param("id") String id);

    /**
    * 查询列表
    */
    Page<BusJcbFdfxjyq> getList(BusJcbFdfxjyq busJcbFdfxjyq);

    /**
    * 查询列表
    */
    BusJcbFdfxjyq getLastOne(BusJcbFdfxjyq busJcbFdfxjyq);

    /**
     * 查询列表
     */
    Page<BusJcbFdfxjyq> getJcebList(JcebQueryVo query);

    /**
     * 查询明细列表
     * @param query 查询参数
     * @return 数据记录明细
     */
    Page<JcebRecordVo> getListByType(JcebQueryVo query);

    /**
     * 查询汇总列表
     * @param query 查询参数
     * @return 汇总数据
     */
    JcebCountVo getCountByType(JcebQueryVo query);

}
